Analisi FEM

From FreeCAD Documentation
Revision as of 19:17, 11 April 2017 by Renatorivo (talk | contribs)
Jump to navigation Jump to search

FEM Analysis.png Analisi FEM

Nome nel codice
FEM Analysis
Posizione nel menu
FEM → Contenitore analisi
Ambiente
FEM
Avvio veloce
N,A
Introdotto nella versione
-
Vedere anche
Tutorial FEM


Description

The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:


How to use

  1. Press the FEM Analysis.png Analysis container button, or press N then A keys. A new Analysis is created and set to active.
  2. Other objects could be added or removed to the analysis container by drag and drop.
  3. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.


Opzioni

  • Per ora non ci sono opzioni.
  • L'analisi in frequenza è in sviluppo. Vedere [1] per maggiori informazioni.


Proprietà

  • DataOutpuDir: Specifica la directory di lavoro di Analisi


Script

La maggior parte di questo codice è deprecato nella versione 0.17.

  • nuova analisi
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • aggiungere un oggetto all'analisi
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • rimuovere un oggetto dall'analisi
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member


Esempio:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member


Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский